Package org.mariadb.jdbc.client.tls

## Class MariaDbX509TrustingManager

- java.lang.Object
- - org.mariadb.jdbc.client.tls.MariaDbX509TrustingManager

All Implemented Interfaces:
  `TrustManager`, `X509TrustManager`

    public class MariaDbX509TrustingManager
    extends Object
    implements X509TrustManager

Class to accept any server certificate.

This permit to have network encrypted, BUT client doesn't validate server identity !!

### Constructor Summary

Constructors
`MariaDbX509TrustingManager()` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkClientTrusted​(X509Certificate[] x509Certificates, String string)`
`void` `checkServerTrusted​(X509Certificate[] x509Certificates, String string)`
`X509Certificate[]` `getAcceptedIssuers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MariaDbX509TrustingManager

    public MariaDbX509TrustingManager()

Constructor

### Method Detail

#### checkClientTrusted

    public void checkClientTrusted​(X509Certificate[] x509Certificates,
                                   String string)

Specified by:
  `checkClientTrusted` in interface `X509TrustManager`

#### checkServerTrusted

    public void checkServerTrusted​(X509Certificate[] x509Certificates,
                                   String string)

Specified by:
  `checkServerTrusted` in interface `X509TrustManager`

#### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `X509TrustManager`